net.sf.okapi.lib.xliff2.metadata

## Class Meta

- java.lang.Object
- - net.sf.okapi.lib.xliff2.metadata.Meta

- All Implemented Interfaces:
    IMetadataItem

      public class Meta
      extends java.lang.Object
      implements IMetadataItem

  Represents a meta element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Meta(Meta original)` Copy constructor.
    `Meta(java.lang.String type)` Creates a `Meta` object with a given type.
    `Meta(java.lang.String type, java.lang.String data)` Creates a `Meta` object with a given type and data.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getData()`
    `java.lang.String` | `getType()`
    `boolean` | `isGroup()` Indicates if this item is a meta-group or not.
    `void` | `setData(java.lang.String data)`
    `void` | `setType(java.lang.String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Meta

          public Meta(java.lang.String type)

      Creates a `Meta` object with a given type.
      Parameters:
        `type` - the type of the object (cannot be null or empty).

    - #### Meta

          public Meta(java.lang.String type,
              java.lang.String data)

      Creates a `Meta` object with a given type and data.
      Parameters:
        `type` - the type of the object (cannot be null or empty)
        `data` - the data of the object (can be null).

    - #### Meta

          public Meta(Meta original)

      Copy constructor.
      Parameters:
        `original` - the original object to duplicate.

  - ### Method Detail

    - #### isGroup

          public boolean isGroup()

      Description copied from interface: `IMetadataItem`
      Indicates if this item is a meta-group or not.
      Specified by:
        `isGroup` in interface `IMetadataItem`
      Returns:
        true if this is a meta-group object, false if it is a meta object.

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType(java.lang.String type)

    - #### getData

          public java.lang.String getData()

    - #### setData

          public void setData(java.lang.String data)